<?php

/*
Plugin Name: Vitagate Teaser
Description: Gets daily articles from vitagate. The shortcode to use is [vitagate_teaser].
Version: 1.0.4
Author: GFF Integrative Kommunikation GmbH
Author URI: http://www.gff.ch/
Text Domain: vitagateteaser
Domain Path: /translations
License: GPL2
*/


defined('ABSPATH') or die('No script kiddies please!');

/**
 * Absolute filesystem path to the vitagate-teaser plugin.
 */
define('ABS_VITAGATETEASER_PATH', dirname(__FILE__));

/**
 * Vitagate Teaser Plugin Build.
 */
define('VITAGATETEASER_BUILD', 103);

////////////////////////////////////////////////////////////////////////////////

///
// Include the custom plugin update checker for this plugin.
///
include_once(dirname(__FILE__) . '/plugin-update-checker/plugin-update-checker.php');

$myUpdateChecker = PucFactory::buildUpdateChecker(
    'http://www.drogoserver.ch/deutsch/vitagate-Service/wordpress/metadata.json',
    __FILE__
);

////////////////////////////////////////////////////////////////////////////////

include_once(ABS_VITAGATETEASER_PATH . '/VitagateTeaserPlugin.php');
include_once(ABS_VITAGATETEASER_PATH . '/VitagateTeaserPluginFactory.php');
$vitagateTeaserPlugin = new VitagateTeaserPlugin(new VitagateTeaserPluginFactory());
$vitagateTeaserPlugin->setup();

////////////////////////////////////////////////////////////////////////////////
